# Uses of Class
org.apache.datasketches.sampling.VarOptItemsSamples.WeightedSample

Packages that use VarOptItemsSamples.WeightedSample
Package
Description
org.apache.datasketches.sampling
This package is dedicated to streaming algorithms that enable fixed size, uniform sampling of weighted and unweighted items from a stream.

## Uses of VarOptItemsSamples.WeightedSample in org.apache.datasketches.sampling

Methods in org.apache.datasketches.sampling that return VarOptItemsSamples.WeightedSample
Modifier and Type
Method
Description
`VarOptItemsSamples<T>.WeightedSample`
VarOptItemsSamples.VarOptItemsIterator.`next()`
Methods in org.apache.datasketches.sampling that return types with arguments of type VarOptItemsSamples.WeightedSample
Modifier and Type
Method
Description
`Iterator<VarOptItemsSamples<T>.WeightedSample>`
VarOptItemsSamples.`iterator()`